<?php
/**
* Email Design Studio plugin file. 
*
* Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com 
*/

namespace Smackcoders\SMEMAILCUSTOM;
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $wpdb;
$customiser_obj = new SMTemplatePage();
$active_theme_id = get_option("sm_mail_product_delivered_activate_template");

$value = $customiser_obj->get_details($order->get_order_number(), 4, $active_theme_id);
$sm_template_background_color = '#FFFFFF';
	
$get_template_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = $active_theme_id ");
$unser_template_border_details = json_decode($get_template_border_details, true);	

$border_rwidth = $unser_template_border_details['border_rwidth'];
$border_lwidth = $unser_template_border_details['border_lwidth'];
$border_twidth = $unser_template_border_details['border_twidth'];
$border_bwidth = $unser_template_border_details['border_bwidth'];
$border_color = $unser_template_border_details['border_color'];
$border_radius = $unser_template_border_details['border_radius'];
$border_bgcolor = $unser_template_border_details['border_bgcolor'];
$border_bgimage = $unser_template_border_details['border_bgimage'];
$container_width = $unser_template_border_details['container_width'];
//$container_height = $unser_template_border_details['container_height'];

$delivered_message = '
    <!DOCTYPE html>
        <html> 
            <head> <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> </head>';
            $delivered_message .='<body style="background:'.$sm_template_background_color.';margin-left:30px;margin-right:70px;">'; 
       
            $delivered_message .='<table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%"> 
                <tr> 
                    <td> 
                        <table border="0" cellpadding="0" cellspacing="0" width="100%" id="custom_template_container" style=" max-width:'.$container_width.'px;padding: 10px 10px 0; margin: auto;"> 
                            <tr> 
                                <td align="center" valign="top">';
                
            if(!empty($border_bgcolor)){
                $delivered_message .='<div id="sm_template_container" style="border-style: solid;border-top-width:'.$border_twidth.'px;border-right-width:'.$border_rwidth.'px;border-bottom-width:'.$border_bwidth.'px;border-left-width:'.$border_lwidth.'px;border-color:'.$border_color.';border-radius:'.$border_radius.'px;background-color:'.$border_bgcolor.';padding:25px;">';
            }
            else{
                $delivered_message .='<div id="sm_template_container" style="border-style: solid;border-top-width:'.$border_twidth.'px;border-right-width:'.$border_rwidth.'px;border-bottom-width:'.$border_bwidth.'px;border-left-width:'.$border_lwidth.'px;border-color:'.$border_color.';border-radius:'.$border_radius.'px;background-image:url('.$border_bgimage.');padding:25px;">';
            }
                                    
            $delivered_message .=''. $value . '
                                    </div>
                                </td> 
                            </tr> 
                        </table> 
                    </td> 
                </tr> 
            </table> 
        </body> 
    </html>';