<?php

//namespace Smackcoders\SMEMAILCUSTOM;

// Exit if accessed directly
if ( ! defined('ABSPATH') ) {
	exit;
}

include_once ABSPATH . 'wp-includes/class-wp-customize-control.php';


if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'WP_Customize_EmailLog_Control' ) ) {
	
	class WP_Customize_EmailLog_Control extends WP_Customize_Control {
        public $type = 'EmailLog';

        public function render_content() {
            $get_url = wp_unslash( $_SERVER['HTTP_REFERER']);
            $url_components = parse_url($get_url); 
            parse_str($url_components['query'], $params); 
            $ordertype = get_option('sm_mail_log_details');
			?>
                <span class="customize-control-title">
                    <?php _e( 'Email Log', 'customizer-new-pro' ); ?>
                </span>
                <div class="kt-template-woomail-load-controls">
                    <div id="input_<?php echo esc_attr('sm-email-load'); ?>" class="image-radio-select">
                        <label class="<?php echo esc_attr('sm-email-load'); ?> image-radio-select-item">
                            <select name="emaillog" id="<?php echo esc_attr('email-log-list'); ?>" >

                                <?php
                                   ?>
                                            <option <?php selected($ordertype,'none');?>  value="none">--None--</option>
                                            <option  <?php selected($ordertype,'email_log');?> value="email_log">Email Log</option>
                                          
                                        <?php
                                  
                                ?>  
                            </select>
                        </label>
                    </div>
                    
                 <?php wp_nonce_field( 'sm-mail-customizer-new-pro', 'customizer-new-pro' ); ?>
                </div>
			<?php
		}
    }
}
?>