<?php
/**
* Email Design Studio plugin file. 
*
* Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com 
*/

namespace Smackcoders\SMEMAILCUSTOM;
if ( ! defined( 'ABSPATH' ) ) 
exit; // Exit if accessed directly

global $wpdb;

$user = get_userdata( $user_id );
$key = get_password_reset_key( $user);
if ( is_wp_error( $key ) ) {
  return;
}
$blog_name = get_bloginfo();   
$password=network_site_url( "wp-login.php?action=rp&key=$key&login=" . rawurlencode( $user->user_login ), 'login' ) ;

$login_url = wp_login_url();
$user_name = $user->user_login;
$user_email = $user->user_email;
$admin_email = get_option('admin_email');

$value = '';

global $wpdb;

$template_id  = '1';
$active_theme_id = get_option("sm_mail_new_account_activate_template");

$get_template_details = $wpdb->get_var("SELECT template_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $active_theme_id ");
$unser_template_details = json_decode($get_template_details, true);	
$customiser_obj = new SMTemplatePage();

foreach($unser_template_details as $template_key => $template_value){
    $value .= $customiser_obj->drag_template_details($template_key, 'edit', 'template_details', $template_id, $active_theme_id);
}

$val = "www.google.com";

$value = str_replace('{user_name}',$user_name,$value);  
$value = str_replace('{blog_name}',$blog_name,$value);
$value = str_replace('{password}',$password,$value);
$value = str_replace('{user_email}',$user_email,$value);
$value = str_replace('href="'.$val.'"','href="'.$login_url.'"',$value);
$value = str_replace('{admin_email}',$admin_email,$value);
$sm_template_background_color = '#FFFFFF';
	
$get_template_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $active_theme_id ");
$unser_template_border_details = json_decode($get_template_border_details, true);	

$border_rwidth = $unser_template_border_details['border_rwidth'];
$border_lwidth = $unser_template_border_details['border_lwidth'];
$border_twidth = $unser_template_border_details['border_twidth'];
$border_bwidth = $unser_template_border_details['border_bwidth'];
$border_color = $unser_template_border_details['border_color'];
$border_radius = $unser_template_border_details['border_radius'];
$border_bgcolor = $unser_template_border_details['border_bgcolor'];
$border_bgimage = $unser_template_border_details['border_bgimage'];
$container_width = $unser_template_border_details['container_width'];
//$container_height = $unser_template_border_details['container_height'];

$messages='
    <!DOCTYPE html>
    <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        </head>';
    
        $messages.=' <body style="background:'.$sm_template_background_color.'">';
        
        $messages.='
            <table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%">
                <tr>
                    <td>
                    <table  border="0" cellpadding="0" cellspacing="0" width="100%" id="custom_template_container" style=" max-width:'.$container_width.'px;padding: 10px 10px 0; margin: auto;">
                        <tr> 
                        <td align="center" valign="top">';
        
        if(!empty($border_bgcolor)){
            $messages .='<div id="sm_template_container" style="border-style: solid;border-top-width:'.$border_twidth.'px;border-right-width:'.$border_rwidth.'px;border-bottom-width:'.$border_bwidth.'px;border-left-width:'.$border_lwidth.'px;border-color:'.$border_color.';border-radius:'.$border_radius.'px;background-color:'.$border_bgcolor.';padding:25px;">';
        }
        else{
            $messages .='<div id="sm_template_container" style="border-style: solid;border-top-width:'.$border_twidth.'px;border-right-width:'.$border_rwidth.'px;border-bottom-width:'.$border_bwidth.'px;border-left-width:'.$border_lwidth.'px;border-color:'.$border_color.';border-radius:'.$border_radius.'px;background-image:url('.$border_bgcolor.');padding:25px;">';
        }
        $messages .= ''.stripslashes($value).'
                            </div>
                        </td>
                        </tr>
                    </table>
                    </td>
                </tr>
            </table>
        </body>
    </html>';
?>