<?php
/**
* Email Design Studio plugin file. 
*
* Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com 
*/

namespace Smackcoders\SMEMAILCUSTOM;
if ( ! defined( 'ABSPATH' ) ) 
exit; // Exit if accessed directly

global $wpdb;
$value = '';

$template_id  = '15';
$active_theme_id = get_option("sm_mail_wpforms_confirmation_mail_activate_template");

if($active_theme_id == '1'){
    $wpforms_result_table = '';
    $wpforms_result_table .= '<table border=\"0\" cellpadding=\"10\" cellspacing=\"10\" style=\"width:100%\">
                                    <tbody>';

    foreach($fields as $field_key => $field_value){
        $wpforms_result_table .= '<tr>
                                        <td><span style=\"font-size:18px\">'.$field_value['name'].'</span></td>
                                        <td><span style=\"font-size:18px\">'.$field_value['value'].'</span></td>
                                </tr>';
    }

    $wpforms_result_table .= '</tbody></table>';
    update_option('sm_customizer_maintext_1512', $wpforms_result_table);
}

elseif($active_theme_id == '2'){
    $wpforms_result_table = '';
    $wpforms_result_table .= '<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:100%\">
                                    <tbody>';

    foreach($fields as $field_key => $field_value){
        $wpforms_result_table .= '<tr style="line-height:20%">
                                        <td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><p style=\"text-align: center;\"><span style=\"font-family:Times New Roman,Times,serif\"><strong>'.$field_value['name'].'</strong></span></p></td>
                                        <td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:14px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\">'.$field_value['value'].'</p></span></span></td>
                                </tr>      
                                <tr>
                                        <td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
                                        <td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
                                </tr>';
    }

    $wpforms_result_table .= '</tbody></table>';
    update_option('sm_customizer_maintext_1523', $wpforms_result_table);
}

elseif($active_theme_id == '3'){
    $wpforms_result_table = '';
    $wpforms_result_table .= '<table border=\"0\" cellpadding=\"10\" cellspacing=\"10\" style=\"width:100%\">
                                    <tbody>';

    foreach($fields as $field_key => $field_value){
        $wpforms_result_table .= '<tr>
                                        <td><span style=\"color:#daa520\"><span style=\"font-size:18px\">'.$field_value['name'].'</span></span></td>
                                        <td><span style=\"color:#d3d3d3\"><span style=\"font-size:18px\">'.$field_value['value'].'</span></span></td>
                                </tr>';
    }

    $wpforms_result_table .= '</tbody></table>';
    update_option('sm_customizer_maintext_1532', $wpforms_result_table);
}

$get_template_details = $wpdb->get_var("SELECT template_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $active_theme_id ");
$unser_template_details = json_decode($get_template_details, true);	
$customiser_obj = new SMTemplatePage();

foreach($unser_template_details as $template_key => $template_value){
    $value .= $customiser_obj->drag_template_details($template_key, 'edit', 'template_details', $template_id, $active_theme_id);
}

$sm_template_background_color = '#FFFFFF';
	
$get_template_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $active_theme_id ");
$unser_template_border_details = json_decode($get_template_border_details, true);	

$border_rwidth = $unser_template_border_details['border_rwidth'];
$border_lwidth = $unser_template_border_details['border_lwidth'];
$border_twidth = $unser_template_border_details['border_twidth'];
$border_bwidth = $unser_template_border_details['border_bwidth'];
$border_color = $unser_template_border_details['border_color'];
$border_radius = $unser_template_border_details['border_radius'];
$border_bgcolor = $unser_template_border_details['border_bgcolor'];
$border_bgimage = $unser_template_border_details['border_bgimage'];
$container_width = $unser_template_border_details['container_width'];

$messages='
    <!DOCTYPE html>
    <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        </head>';
    
        $messages.=' <body style="background:'.$sm_template_background_color.'">';
        
        $messages.='
            <table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%">
                <tr>
                    <td>
                    <table  border="0" cellpadding="0" cellspacing="0" width="100%" id="custom_template_container" style=" max-width:'.$container_width.'px;padding: 10px 10px 0; margin: auto;">
                        <tr> 
                        <td align="center" valign="top">';
        
        if(!empty($border_bgcolor)){
            $messages .='<div id="sm_template_container" style="border-style: solid;border-top-width:'.$border_twidth.'px;border-right-width:'.$border_rwidth.'px;border-bottom-width:'.$border_bwidth.'px;border-left-width:'.$border_lwidth.'px;border-color:'.$border_color.';border-radius:'.$border_radius.'px;background-color:'.$border_bgcolor.';padding:25px;">';
        }
        else{
            $messages .='<div id="sm_template_container" style="border-style: solid;border-top-width:'.$border_twidth.'px;border-right-width:'.$border_rwidth.'px;border-bottom-width:'.$border_bwidth.'px;border-left-width:'.$border_lwidth.'px;border-color:'.$border_color.';border-radius:'.$border_radius.'px;background-image:url('.$border_bgcolor.');padding:25px;">';
        }
        $messages .= ''.stripslashes($value).'
                            </div>
                        </td>
                        </tr>
                    </table>
                    </td>
                </tr>
            </table>
        </body>
    </html>';
?>