<?php

//namespace Smackcoders\SMEMAILCUSTOM;

// Exit if accessed directly
if ( ! defined('ABSPATH') ) {
	exit;
}

include_once ABSPATH . 'wp-includes/class-wp-customize-control.php';


if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'WP_Customize_sendTestMail_Control' ) ) {
	
	class WP_Customize_sendTestMail_Control extends WP_Customize_Control {
		public $type = 'sendTestMail';


		public function render_content() {
		
			?>
                <span class="customize-control-title">
				    <?php echo esc_html( $this->label ); ?>
			    </span>
			   
			    <input type="text" value="<?php echo esc_attr( $this->value() ); ?>" id="_customize-input-sm-email" <?php $this->input_attrs(); $this->link(); ?>>
			    <div style="padding: 10px;"><?php _e( 'Settings must be saved to send preview test mail.', 'customizer-new-pro' ); ?></div>
			    <input type="button" id="sm-email-customiser-send-email" class="button button-primary sm-email-button" name="sm-email-send-email" value="<?php esc_attr_e( 'Send Email', 'customizer-new-pro' ); ?>" />
			<?php
		}
	}
}