<?php
/**
* Email Design Studio plugin file. 
*
* Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com 
*/

namespace Smackcoders\SMEMAILCUSTOM;

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

//A singleton class
class Plugin
{
	protected static $instance = null;
	protected $pluginSlug = 'email-design-studio)';
	protected $pluginVersion = 1.0;

	public static function getInstance() {
		if ( null == self::$instance ) {
			self::$instance = new self;
		}
		return self::$instance;
	}

	//Getters
	public function getPluginSlug() {
		return $this->pluginSlug;
	}

	public function getPluginVersion() {
		return $this->pluginVersion;
	}

	public static function sm_activate() {
		$get_table_obj = new SMTables();
    	$get_table_obj->create_sm_plugin_new_table();
	}

	/**
	 * The code that runs during plugin deactivation.
	 */
	public static function sm_deactivate() {
	}
}